# Script Information.




#### Drush snippets

Drush is a powerful tool that allows a developer manage the website from the 
command line. Below are some snippets that are commonly used in development.
The command below need to be run from the web root. For more information please
follow the link below.
 
###### Clear website caches

```
../vendor/drush/drush/drush cr
```

###### Installing website.

Should only be used for init install or in development

```
../vendor/drush/drush/drush si --account-name=admin --account-pass=a --account-mail=admin@admin.com
```

###### Running Tome.

Documentation https://tome.fyi/. 

To create static website from the command line run the following

```
 ../vendor/drush/drush/drush tome:static
```

or 

```
 ../vendor/drush/drush/drush tome:static --uri=<domain name>
```

Test locally by navigating to html above the Drupal web directory. Then run
the following command and navigate to http://127.0.0.1:8888/ in your browser.

```
 ../vendor/drush/drush/drush runserver 127.0.0.1:8888
```




###### Reinstalling website in development.

```
drush site:install --existing-config 
```

#### Coding standards

The following commands should be run before code is committed to clear all 
common know issue when developing code for Drupal. For more information please
see: https://www.drupal.org/docs/contributed-modules/code-review-module/installing-coder-sniffer

```
phpcs --standard=DrupalPractice --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml .
```

```
phpcbf --standard=Drupal --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml .
```
